CREATE OR REPLACE VIEW APPLICATION_SUMMARY_V AS 
  SELECT app_sum.application,
    app_sum.snapshot,
    app_sum.account_count - (SELECT count(DISTINCT id) FROM saccount WHERE virtual <> 0 AND deleted = 0 AND application = app_sum.application) account_count,
    app_sum.permission_count,
    app_sum.dangling_account_count AS unmapped_accounts,
    app_sum.shared_account_count
   FROM application_summary app_sum
     JOIN ( SELECT max(apps.snapshot) AS max_snap
           FROM application_summary apps) max_snapshot ON max_snapshot.max_snap = app_sum.snapshot;

GRANT SELECT ON igops.APPLICATION_SUMMARY_V TO igrptuser;
CREATE OR REPLACE PUBLIC SYNONYM APPLICATION_SUMMARY_V for igops.APPLICATION_SUMMARY_V;